POST /api/v3/report/install/latest

Installs or updates reports from the latest report package.

InstallReportsV3 Permissions: ReportAdministrator (Manage)
Use this endpoint to install the most recent report definitions from the report server. Cannot be used when the application is in offline mode. Requires ReportAdministrator Manage permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ReportInstallResult
Property Description Type
reportResults SingleReportInstallResult[]
SingleReportInstallResult properties
Property Description Type
lastUpdated string (date-time)
notInstalledMessage string
reportCode string
reportInfo string
reportName string
version integer (int32)
wasInstalled boolean
reportZipFileName string
Example Response application/json
{  "reportResults": [
    {    "lastUpdated": "2026-06-29",    "notInstalledMessage": "string",    "reportCode": "string",    "reportInfo": "string",    "reportName": "string",    "version": 1,    "wasInstalled": false
  }
  ],  "reportZipFileName": "string"
}
400 Bad Request The request was malformed or contains invalid parameters. Check the request body and query parameters.